PublishEvent
Date: 2013-01-10

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ivy.core.event.publish
Class PublishEvent

    java.lang.Object
      org.apache.ivy.core.event.IvyEvent
          org.apache.ivy.core.event.publish.PublishEvent

Direct Known Subclasses:
  EndArtifactPublishEvent, StartArtifactPublishEvent

    public abstract class PublishEvent

extends IvyEvent

Base class for events fired during `DependencyResolver.publish(Artifact, File, boolean)`.

See Also:
  `StartArtifactPublishEvent`, `EndArtifactPublishEvent`

Constructor Summary
`protected` | `PublishEvent(java.lang.String name, DependencyResolver resolver, Artifact artifact, java.io.File data, boolean overwrite)`

Method Summary
`Artifact` | `getArtifact()`
`java.io.File` | `getData()`
`DependencyResolver` | `getResolver()`
`boolean` | `isOverwrite()`

Methods inherited from class org.apache.ivy.core.event.IvyEvent
`addAttribute, addAttributes, addConfsAttribute, addMDAttributes, addModuleIdAttributes, addMridAttributes, equals, getAttributes, getName, getSource, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PublishEvent

    protected PublishEvent(java.lang.String name,
                           DependencyResolver resolver,
                           Artifact artifact,
                           java.io.File data,
                           boolean overwrite)

Method Detail

### getResolver

    public DependencyResolver getResolver()

  Returns:
    the resolver into which the artifact is being published

### getData

    public java.io.File getData()

  Returns:
    a local file containing the artifact data

### getArtifact

    public Artifact getArtifact()

  Returns:
    metadata about the artifact being published

### isOverwrite

    public boolean isOverwrite()

  Returns:
    true iff this event overwrites existing resolver data for this artifact

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD